Skip to content
Navigation

Create commitment version

POST
https://api.sureshake.com/v2/execution/cycles/{cycleId}/commitments/{commitmentId}/versions

Path parameters

  • cycleId
    string
    required
    format: uuid
  • commitmentId
    string
    required
    format: uuid

Request body JSON required

  • expectedVersionNumber
    integer
    required
    minimum: 1
  • reason
    string
    required
    maxLength: 2000 · minLength: 1
  • commitment
    object
    required
    • outcome
      string
      required
      maxLength: 500 · minLength: 1
    • ownerUserId
      string
      required
      maxLength: 255 · minLength: 1
    • completionDefinition
      string
      required
      maxLength: 2000 · minLength: 1
    • proofStandard
      string
      required
      maxLength: 2000 · minLength: 1
    • category
      revenue
      or
      product
      or
      hiring
      or
      customers
      or
      partnerships
      or
      custom
      required
    • deadlineAt
      string
      required
      format: date-time
    • baselineValue
      optional
      number
      maximum: 1000000000000000 · minimum: -1000000000000000
    • targetValue
      optional
      number
      maximum: 1000000000000000 · minimum: -1000000000000000
    • measurementUnit
      optional
      string
      maxLength: 100 · minLength: 1
    • expectedEffortMinutes
      optional
      integer
      maximum: 10080 · minimum: 1
    • dependencies
      optional
      array of
      string
      maxLength: 500 · minLength: 1
    • risks
      optional
      array of
      string
      maxLength: 500 · minLength: 1

Returns

201

Default Response

JSON
  • data
    object
    required
    • commitment
      object
      required
      • id
        string
        required
        format: uuid
      • entityId
        string
        required
        format: uuid
      • title
        string
        required
      • outcome
        string
        required
      • ownerUserId
        string
        or null
        required
        minLength: 1
      • completionDefinition
        string
        or null
        required
        maxLength: 2000 · minLength: 1
      • proofStandard
        string
        or null
        required
        maxLength: 2000 · minLength: 1
      • category
        revenue
        or
        product
        or
        hiring
        or
        customers
        or
        partnerships
        or
        custom
        required
      • goalType
        financial_auto
        or
        manual
        required
      • commitmentTargetValue
        number
        or null
        required
      • baselineValue
        number
        or null
        required
      • measurementUnit
        string
        or null
        required
        maxLength: 100 · minLength: 1
      • expectedEffortMinutes
        integer
        or null
        required
        maximum: 10080 · minimum: 1
      • dependencies
        array of
        string
        or null
        required
        maxLength: 500 · minLength: 1
      • risks
        array of
        string
        or null
        required
        maxLength: 500 · minLength: 1
      • qualityWarnings
        array of
        object
        or null
        required
        • code
          activity_based
          or
          not_objectively_closeable
          required
        • message
          string
          required
          maxLength: 500 · minLength: 1
        • fields
          array of
          outcome
          or
          completionDefinition
          or
          proofStandard
          required
      • qualityAssessedAt
        string
        or null
        required
        format: date-time
      • status
        string
        required
      • createdAt
        string
        required
        format: date-time
      • updatedAt
        string
        required
        format: date-time
      • cycleId
        optional
        string
        or null
        format: uuid
      • description
        optional
        string
        or null
      • successCriteria
        optional
        string
        or null
      • weight
        optional
        number
        or null
      • targetValue
        optional
        number
        or null
      • actualValue
        optional
        number
        or null
      • completionPct
        optional
        number
        or null
      • deadlineAt
        optional
        string
        or null
        format: date-time
      • committedAt
        optional
        string
        or null
        format: date-time
      • commitmentStartAt
        optional
        string
        or null
        format: date-time
      • currentVersionNumber
        optional
        integer
        or null
        minimum: 1
      • payloadHash
        optional
        string
        or null
    • versions
      array of
      object
      required
      • id
        string
        required
        format: uuid
      • commitmentId
        string
        required
        format: uuid
      • entityId
        string
        required
        format: uuid
      • cycleId
        string
        required
        format: uuid
      • versionNumber
        integer
        required
        minimum: 1
      • supersedesVersionId
        string
        or null
        required
        format: uuid
      • changeKind
        initial
        or
        edit
        or
        correction
        required
      • reason
        string
        or null
        required
        maxLength: 2000 · minLength: 1
      • snapshot
        object
        required
        • outcome
          string
          required
          maxLength: 500 · minLength: 1
        • ownerUserId
          string
          required
          maxLength: 255 · minLength: 1
        • completionDefinition
          string
          required
          maxLength: 2000 · minLength: 1
        • proofStandard
          string
          required
          maxLength: 2000 · minLength: 1
        • baselineValue
          number
          or null
          required
        • targetValue
          number
          or null
          required
        • measurementUnit
          string
          or null
          required
          maxLength: 100 · minLength: 1
        • expectedEffortMinutes
          integer
          or null
          required
          maximum: 10080 · minimum: 1
        • dependencies
          array of
          string
          required
          maxLength: 500 · minLength: 1
        • risks
          array of
          string
          required
          maxLength: 500 · minLength: 1
        • category
          revenue
          or
          product
          or
          hiring
          or
          customers
          or
          partnerships
          or
          custom
          required
        • deadlineAt
          string
          required
          format: date-time
        • qualityWarnings
          array of
          object
          required
          • code
            activity_based
            or
            not_objectively_closeable
            required
          • message
            string
            required
            maxLength: 500 · minLength: 1
          • fields
            array of
            outcome
            or
            completionDefinition
            or
            proofStandard
            required
        • qualityAssessedAt
          string
          required
          format: date-time
      • payloadHash
        string
        required
        pattern: ^sha256:[a-f0-9]{64}$
      • createdBy
        string
        required
        minLength: 1
      • createdAt
        string
        required
        format: date-time
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

422

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

429

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

502

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close